workspace "fencer"
  configurations { "Debug", "Release" }
  location "."

project "fencer"
  kind "WindowedApp"
  language "C"
  location "build/"
  files { "src/**.c" }
  links { "SDL2", "SDL2_image", "cjson", "m" }
  buildoptions { "-Wall", "-DVMATH_SDL=1" }
  filter { "configurations:Debug" }
    buildoptions { "-g3" }
    targetdir "bin/"
  filter { "configurations:Release" }
    buildoptions { "-g0" }
